<?php
/*
Plugin Name: Logaholic Live
Plugin URI: http://live.logaholic.com/
Description: Easily integrate Logaholic Web Statistics to your blog or website!
Version: 1.0
Author: Logaholic
Author URI: http://www.logaholic.com/
License: GPL2

Copyright 2014  Logaholic Live  (email : support@logaholic.com)

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License, version 2, as 
published by the Free Software Foundation.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

# Include the Class File
include_once("wp-logaholic_live.class.php");
$lg = new LogaholicLivePlugin();

# Hook for adding admin menus
add_action('admin_menu', array($lg, 'Menu'));

# Add Tracker to the footer
add_action('wp_footer', 'WpLogaholicLiveTracker');

if(!empty($_GET['action']) && $_GET["action"] == "restuser"){
	add_action('admin_menu', 'SaveUserData');
}


function WpLogaholicLiveTracker(){
	global $lg;

	# Get the profile id for the tracker
	$lwa_id = $lg->GetTracker();

	if($lwa_id != false){
		$lg->ShowTracker($lwa_id);
	}	
}

function SaveUserData(){
	global $lg;

	if($lg->user['email'] != $_GET['email'] && !empty($_GET['email']) && !empty($_GET['pw'])){
		$lg->user['email'] = $_GET['email'];
		$lg->user['password'] = $_GET['pw'];
		$lg->user['id'] = $_GET['i'];
	}	

	# Save data for logaholic Live Tracker
	if(isset($_GET['track'])){
		$lg->user['tracker'] = $_GET['track'];
	}

	update_option('lwa_live_login_key',$lg->user);
}

# WpLogaholicLiveSettings() displays the page content for settings
function WpLogaholicLiveSettings() {
	global $lg;
    echo "<h2>" . __( 'Logaholic Stats Settings', 'wp-logaholic-live' ) . "</h2>";

    if(!empty($lg->user['email'])) {
	    # Handle POST data
		$lg->CheckPostData();
	}

    $login_data = get_option('lwa_live_login_key');
    include_once( plugin_dir_path( __FILE__ ) ."forms/settings.form.php");
}


# WpLogaholicLive() displays the page content for the plugin
function WpLogaholicLive() {   
	global $lg; 

	if(empty($lg->user['email'])) {
    	// If no post is set then show the Login Form
    	if(!empty($_POST['wplg_email'])) {
    		$lg->LogaholicLoginCheck($_POST['wplg_email'], $_POST['wplg_password']);
    	}

   		echo "<h2>" . __( 'Logaholic Stats', 'wp-logaholic-live' ) . "</h2>";

   		$mydomain = $lg->GetMyDomain();

   		$userdata = "";
   		if(!empty($_POST['wplg_email'])){
   			$userdata .= "&email=" . $_POST['wplg_email'];
   		}

		$register = "http://www.logaholic.com/getlogaholic/?tab=Live&mydomain=$mydomain" . $userdata;

    	include_once( plugin_dir_path( __FILE__ ) ."forms/signin.form.php");
    	return;
    }


    # We have login data so now lets get the live iframe and login
   	$lgpkey = md5($lg->user['email']) . ":" . $lg->user['password'];
   	echo "<iframe  style='width:100%;height:800px;border:0;' src='http://live.logaholic.com/s1/index.php?lgpkey={$lgpkey}'></iframe>";
}
?>